# operator==,!=(std::shuffle_order_engine)

From cppreference.com
< cpp‎ | numeric‎ | random‎ | shuffle order engine

template< class Engine, size_t k > bool operator==( const shuffle_order_engine<Engine,k>& lhs, const shuffle_order_engine<Engine,k>& rhs ); | (1) | (since C++11)
template< class Engine, size_t k > bool operator!=( const shuffle_order_engine<Engine,k>& lhs, const shuffle_order_engine<Engine,k>& rhs ); | (2) | (since C++11)

Compares two pseudo-random number engine adaptors. Two engine adaptors are equal, if their underlying engines are equal and their internal state (if any) is equal, that is, if they would generate equivalent values for any number of calls of operator().

### Parameters

lhs, rhs | - | engine adaptors to compare

### Return value

1) true if the engine adaptors are equivalent, false otherwise.
2) true if the engine adaptors are not equivalent, false otherwise.

### Exceptions

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/shuffle_order_engine/operator_cmp&oldid=51024"